
Infrastructure - Task #2780

Story # 2523 (Closed): authorization implementations should be centralized

utilitize AuthUtils methods in metacat authorization

2012-05-17 21:15 - Rob Nahf

Status: Closed Start date: 2012-05-17

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.0.0 Story Points:  

Product Version:    

Description

The method to create the subject list is used, but not the one to compare against the access policy.

History

#1 - 2012-05-18 23:23 - Ben Leinfelder

Do you mean we should be using this method in the CN/MN implementation on Metacat?

AuthUtils.isAuthorized(Collection subjectSet, Permission requestedPerm, SystemMetadata systemMetadata)

#2 - 2014-10-02 18:12 - Rob Nahf

- Assignee changed from Ben Leinfelder to Rob Nahf

this seems like only half implemented (there are 2 methods meant to be used together). Rob to review to find out why and if it matters.

(https://code.ecoinformatics.org/code/metacat/trunk/src/edu/ucsb/nceas/metacat/dataone/D1NodeService.java)

#3 - 2018-01-17 20:37 - Dave Vieglais

- % Done changed from 30 to 100

- Status changed from In Progress to Closed
